package fcb.project.manager.core.feignInterfaces.fallBack;

import fcb.project.manager.base.entity.CommonRspBean;
import fcb.project.manager.base.entity.PanoInitSceneTotalRsp;
import fcb.project.manager.base.entity.SceneRspBean;
import fcb.project.manager.base.entity.SevenTwoZeroSceneRspBean;
import fcb.project.manager.core.feignInterfaces.PanoFeign;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestHeader;

import java.util.Map;

/**
 * 2 * @Author: Abner
 * 3 * @Date: 2021/2/5 17:34
 * 4
 */
@Component
public class PanoFeignFallBack implements PanoFeign {

    @Override
    public SevenTwoZeroSceneRspBean getFdkanaknSceneNum(String token, String houseId, String status, String type) {
        SevenTwoZeroSceneRspBean sevenTwoZeroSceneRspBean = new SevenTwoZeroSceneRspBean();
        sevenTwoZeroSceneRspBean.setCode(-1);
        return sevenTwoZeroSceneRspBean;
    }

    @Override
    public CommonRspBean auditedVrNotice(String houseId, Integer status, String token) {
        CommonRspBean commonRspBean = new CommonRspBean();
        commonRspBean.setCode(-1);
        commonRspBean.setMsg("服务超时");
        return commonRspBean;
    }

    @Override
    public CommonRspBean deleteVrNotice(String houseId, String token) {
        CommonRspBean commonRspBean = new CommonRspBean();
        commonRspBean.setMsg("服务超时");
        commonRspBean.setCode(-1);
        return commonRspBean;
    }

    @Override
    public CommonRspBean getVrLinks(Map<String, Object> body, String token) {
        CommonRspBean commonRspBean = new CommonRspBean();
        commonRspBean.setMsg("服务超时");
        commonRspBean.setCode(-1);
        return commonRspBean;
    }

    @Override
    public CommonRspBean getOneVrlink(String houseId, String token) {
        CommonRspBean commonRspBean = new CommonRspBean();
        commonRspBean.setMsg("服务超时");
        commonRspBean.setCode(-1);
        return commonRspBean;
    }

    @Override
    public PanoInitSceneTotalRsp getAllTypeSceneNums(String houseId, String token) {
        PanoInitSceneTotalRsp commonRspBean = new PanoInitSceneTotalRsp();
        commonRspBean.setMsg("服务超时");
        commonRspBean.setCode(-1);
        return commonRspBean;
    }

    @Override
    public CommonRspBean statistics(@PathVariable String houseId, @RequestHeader(name = "token") String token) {
        CommonRspBean commonRspBean = new CommonRspBean();
        commonRspBean.setMsg("服务超时");
        commonRspBean.setCode(-1);
        return commonRspBean;
    }

    @Override
    public SevenTwoZeroSceneRspBean getAllSceneNum(@RequestHeader(name = "token") String token, @PathVariable(name = "") String houseId) {
        SevenTwoZeroSceneRspBean sevenTwoZeroSceneRspBean = new SevenTwoZeroSceneRspBean();
        sevenTwoZeroSceneRspBean.setCode(-1);
        return sevenTwoZeroSceneRspBean;
    }

    @Override
    public SceneRspBean listPanoSceneWithTypes(String token, String id) {
        SceneRspBean sceneRspBean = new SceneRspBean();
        sceneRspBean.setCode(-1);
        return sceneRspBean;
    }
}
